# Initiate counterparty transfer Initiate transfer will propose the transaction to the counterparty, after which the counterparty will be prompted to act on the proposal. Endpoint: POST /api/ledger/{ledgerIdentifier}/transfer Version: 1.0.0 Security: JWT ## Path parameters: - `ledgerIdentifier` (string, required) Ledger identifier, can be found using /api/ledger endpoint Example: "4b7375e9-79b0-4b8b-a89e-a21607f0239f" ## Request fields (application/json): - `onBehalfOfSrcAcctId` (string) If permitted, allows the caller to initiate transfer batches on behalf of another account holder, identifying that account holder by their system-assigned srcAcctId. - `requests` (array) Collection of Transfer requests - `requests.transfereeSrcAcctId` (string) System-assigned account Identifier of the transfer counterparty; recipient of the transfer request. Example: "b5d8d6b3-bcaf-11ef-ae69-b61606fd520c" - `requests.holdingCriteria` (array) Criteria for holdings to be associated with this transfer batch. - `requests.holdingCriteria.holdingIdentifier` (string) Holding Identifier, as returned by the holdings API Example: "476099" - `requests.holdingCriteria.quantity` (number) Quantity of holding to be used in this operation Example: 3 - `requests.correlationId` (string) Client system correlation Id – allows the caller to correlate between requests and responses - `requests.requestConfirmation` (boolean) - `requests.toSubaccountIdentifier` (string) Identifier of the subaccount in the transferee (receiving) account into which to deposit the goods - `requests.totalPrice` (number) Indicates the total price of the transfer - `requests.currencyCode` (string) Indicates the currency of the price of the transfer - `requests.notes` (string) Contains the transfer notes ## Response 200 fields (application/json): - `responses` (array) Bulk Transfer Response - `responses.correlationId` (string) Matches the correlationId provided in the inter-account transfer request. Example: "1234" - `responses.transferIdentifier` (string) The transfer batch's system-assigned identifier used for programmatic (API) interactions. Example: "5A9BBB98-73E5-4226-B55E-1B4AABFE3CF3" ## Response 404 fields